﻿namespace System.Windows.Threading
{
	internal enum DispatcherPriority
	{
		/// <summary>
		/// WPF compatibility.
		/// </summary>
		Normal,
		ApplicationIdle
	}

	internal static class DispatcherExtensions
	{
		[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA1801:ReviewUnusedParameters", MessageId = "priority", Justification = "WPF compatibility")]
		public static void BeginInvoke(this Dispatcher dispatcher, DispatcherPriority priority, Action action)
		{
			dispatcher.BeginInvoke(action);
		}
	}
}