﻿using System.Windows.Media;

namespace Telerik.Windows.QuickStart
{
	public interface IExampleItem
	{
		bool HasElements { get; }
		bool IsDefault { get; }
		bool IsExample { get; }
		bool IsFeatured { get; }
		bool IsHomepage { get; }
		bool IsExpanded { get; set; }
		bool IsSelected { get; set; }
		bool Visible { get; set; }

		string CommonFilesFolder { get; }
		string Filter { get; set; }
		string IconUrl { get; }
		string Keywords { get; }
		string Path { get; set; }
		string Platform { get; }
		string ShortTypeName { get; }
		string Text { get; }
		string RelatedExamplesFilePath { get; }

		IExampleItem Parent { get; }
		IExampleItem CategoryFirstLookExample { get; }

		ExamplesCollection Children { get; }

		ImageSource Icon { get; }
		ImageSource ExampleImage { get; }
	}
}
